<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package MarComm-AUX
 */

use WP_AUX\Entities\PageTemplateEntity;

$auxTemplate = PageTemplateEntity::getRequested();

get_header();
?>
  <main id="main-content">
    <?php
    $auxTemplate->header->render();
    $auxTemplate->layout->render();
    ?>
  </main>
<?php
get_sidebar();
get_footer();

